Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface SchemaIdentityConstraint

All Superinterfaces:
  SchemaAnnotated, SchemaComponent

All Known Implementing Classes:
  SchemaIdentityConstraintImpl

    public interface SchemaIdentityConstraint

extends SchemaComponent, SchemaAnnotated

Represents an identity constraint definition.

Nested Class Summary
`static class` | `SchemaIdentityConstraint.Ref` Used to allow on-demand loading of identity constraints.

Field Summary
`static int` | `CC_KEY` A xs:key constraint.
`static int` | `CC_KEYREF` A xs:keyRef constraint.
`static int` | `CC_UNIQUE` A xs:unique constraint.

Fields inherited from interface org.apache.xmlbeans.SchemaComponent
`ANNOTATION, ATTRIBUTE, ATTRIBUTE_GROUP, ELEMENT, IDENTITY_CONSTRAINT, MODEL_GROUP, NOTATION, TYPE`

Method Summary
`int` | `getConstraintCategory()` Return the constraint category.
`java.lang.Object` | `getFieldPath(int index)` Return a compiled xpath object for the field.
`java.lang.String[]` | `getFields()` Return (a copy of) the xpaths for all the fields.
`java.util.Map` | `getNSMap()` Return a read-only copy of the namespace map.
`SchemaIdentityConstraint` | `getReferencedKey()` Returns the key that a key ref refers to.
`java.lang.String` | `getSelector()` Return the selector xpath as a string.
`java.lang.Object` | `getSelectorPath()` Return a compiled xpath object for the selector.
`java.lang.Object` | `getUserData()` Returns user-specific information.

Methods inherited from interface org.apache.xmlbeans.SchemaComponent
`getComponentRef, getComponentType, getName, getSourceName, getTypeSystem`

Methods inherited from interface org.apache.xmlbeans.SchemaAnnotated
`getAnnotation`

Field Detail

### CC_KEY

    static final int CC_KEY

  A xs:key constraint. See `getConstraintCategory()`.

  See Also:
    Constant Field Values

### CC_KEYREF

    static final int CC_KEYREF

  A xs:keyRef constraint. See `getConstraintCategory()`.

  See Also:
    Constant Field Values

### CC_UNIQUE

    static final int CC_UNIQUE

  A xs:unique constraint. See `getConstraintCategory()`.

  See Also:
    Constant Field Values

Method Detail

### getSelector

    java.lang.String getSelector()

  Return the selector xpath as a string.

### getSelectorPath

    java.lang.Object getSelectorPath()

  Return a compiled xpath object for the selector.

### getFields

    java.lang.String[] getFields()

  Return (a copy of) the xpaths for all the fields.

### getFieldPath

    java.lang.Object getFieldPath(int index)

  Return a compiled xpath object for the field.

### getNSMap

    java.util.Map getNSMap()

  Return a read-only copy of the namespace map. This is the set of prefix to URI mappings that were in scope in the schema at the point at which this constraint was declared

### getConstraintCategory

    int getConstraintCategory()

  Return the constraint category. Either `CC_KEY`, `CC_KEYREF`, or `CC_UNIQUE`.

### getReferencedKey

    SchemaIdentityConstraint getReferencedKey()

  Returns the key that a key ref refers to. Only valid for keyrefs.

### getUserData

    java.lang.Object getUserData()

  Returns user-specific information.

  See Also:
    `SchemaBookmark`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD